## python-proton-vpn-local-agent 1.4.3

=== debian/changelog ===
python-proton-vpn-local-agent (1.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1099859)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 16 Sep 2025 05:18:39 -0300
