=== debian/control ===
Source: python-proton-vpn-local-agent
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-cargo (>= 25),
               dh-sequence-cargo,
               dh-sequence-python3,
               cargo,
               libc6,
               libgcc-s1,
               librust-async-trait-dev,
               librust-bincode-dev,
               librust-env-logger-dev,
               librust-heck-dev,
               librust-log-dev,
               librust-pyo3-async-runtimes-dev,
               librust-pyo3-async-runtimes-macros-dev,
               librust-pyo3-dev,
               librust-rustls-pemfile-dev,
               librust-rustls-pki-types-dev,
               librust-serde-dev,
               librust-serde-json-dev,
               librust-socket2-dev,
               librust-test-log-dev,
               librust-thiserror-dev,
               librust-tokio-dev,
               librust-tokio-rustls-dev,
               librust-webpki-dev,
               librust-rustls-native-certs-dev,
               libstd-rust-dev,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               rustc
Standards-Version: 4.7.2
Homepage: https://github.com/ProtonVPN/local-agent-rs
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proton-vpn-local-agent
Vcs-Git: https://salsa.debian.org/python-team/packages/python-proton-vpn-local-agent.git

Package: python3-proton-vpn-local-agent
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Proton VPN local agent for managing connections
 Local-agent-rs is a ProtonVPN project that provides a Rust library for
 communicating with ProtonVPN's LocalAgent. Its purpose is to promote
 efficiency and security in the integration of ProtonVPN features across
 different clients.
 .
 It is responsible for:
  - Communication with ProtonVPN:
     - Manages the connection between the ProtonVPN client and ProtonVPN
       servers.
     - Handles authentication, key and certificate exchange, and other
       operations required to establish a secure connection.
 - Python Bindings:
     - Includes Python bindings for the Rust library, allowing Rust code to be
       used in Python applications.
     - Integrate LocalAgent functionality into ProtonVPN clients written in
       Python.
