=== debian/tests/control ===
Tests: import-test
Depends: python3-proton-vpn-local-agent
Restrictions: allow-stderr
