=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/ProtonVPN/local-agent-rs/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
