## python-proton-vpn-local-agent 1.6.0

=== debian/changelog ===
python-proton-vpn-local-agent (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * debian/control:
     - Added dependencies for the build package (Closes: #1119686)
     - Remove redundant "Rules-Requires-Root"
  * Add Send bound to future result type
      debian/patches/006.fix-send-bound-in-future.patch
  * Bump dependencies to latest versions
      debian/patches/001.added-dependence-for-construction.patch
      debian/patches/003.dependency-updates.patch
  * Drop no-longer-needed patch:
      debian/patches/002.update-code-from-pyo3-asyncio-0-21-topyo3-async-runtimes.patch
      debian/patches/004.fixed-error-spelling.patch
      debian/patches/005.added-build.rs.patch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 28 Feb 2026 02:38:49 -0300
