=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-cargo (>= 25),
                dh-sequence-cargo,
@@ -19,17 +18,19 @@
                librust-pyo3-async-runtimes-dev,
                librust-pyo3-async-runtimes-macros-dev,
                librust-pyo3-dev,
+               librust-rustls-native-certs-dev,
                librust-rustls-pemfile-dev,
                librust-rustls-pki-types-dev,
                librust-serde-dev,
                librust-serde-json-dev,
                librust-socket2-dev,
+               librust-static-assertions-dev,
                librust-test-log-dev,
                librust-thiserror-dev,
                librust-tokio-dev,
                librust-tokio-rustls-dev,
                librust-webpki-dev,
-               librust-rustls-native-certs-dev,
+               librust-x509-parser-dev,
                libstd-rust-dev,
                python3-all,
                python3-all-dev,
